import { jsx } from "react/jsx-runtime";
import { TokenPLA as TokenPLA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenPLA = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "PLA", "data-name": "TokenPLA", ...props, children: /* @__PURE__ */ jsx(TokenPLA$1, { variant }) });
  }
);
TokenPLA.displayName = "TokenPLA";
Object.assign(TokenPLA, { isGdsIcon: true });
export {
  TokenPLA
};
